<?php
/**
 * Plugin Name: auto making JSON-LD
 * Plugin URI: https://richynokurashi.com/lp/jsonld_setting/
 * Description: 構造化データを自動生成します。（最終更新日時：2023/04/28)
 * Version: 4.3.6
 * Author: Richeal
 * Author URI:  https://richynokurashi.com
 */
if ( ! defined( 'ABSPATH' ) ) exit;

define('autoMakingJSONLD', plugin_dir_path(__FILE__));
define('autoMakingJSONLD_url', plugin_dir_url(__FILE__));

require_once(autoMakingJSONLD.'settings/class.php');

//---- Plugin Setting ----//
require_once( amJL_main_Setting );
require_once( amJL_init_Setting );
require_once( amJL_certification_Setting );
require_once( amJL_article_Setting );
require_once( amJL_recipe_video_Setting );
require_once( amJL_view_setting );

if(file_exists(amJL_BL_dir.'breadcrumb.php')){

    add_action('wp_head', 'amJL_description_start', 1);

    //---- breadcrumb ----//
    require_once( amJL_BL_dir.'breadcrumb.php');

    //---- Article ----//
    require_once( amJL_article_dir.'article.php');
    require_once( amJL_article_dir.'logo.php');
    require_once( amJL_article_dir.'image_lisence.php');

    //---- Sitelinks searchbox ----//
    require_once( amJL_sitelink_dir.'sitelink.php');

    //---- Recipe ----//
    require_once( amJL_Recipe_dir.'recipe.php');
    require_once( amJL_Recipe_dir.'setting.php');

    //---- Video ----//
    require_once( amJL_Video_dir.'video.php');
    require_once( amJL_Video_dir.'setting.php');

    //---- FAQ ----//
    require_once( amJL_FAQ_dir.'FAQ.php' );
    require_once( amJL_FAQ_dir.'setting.php' );

    //---- Howto ----//
    require_once( amJL_Howto_dir.'howto.php' );
    require_once( amJL_Howto_dir.'setting.php' );

    //---- Review ----//
    require_once( amJL_review_dir.'review.php' );
    require_once( amJL_review_dir.'setting.php' );

    add_action('wp_head', 'amJL_description_end', 1);

}