<?php

/********[Set Path]*********/

//=====[ dirctory and zip file ]=====//
//zip file
define('amJL_structure_zip_file', autoMakingJSONLD.'structure.zip');

//directory
define('amJL_structure_dir', autoMakingJSONLD.'structure/');
define('amJL_BL_dir', amJL_structure_dir.'breadcrumb/');
define('amJL_article_dir', amJL_structure_dir.'article/');
define('amJL_Video_dir', amJL_structure_dir.'video/');
define('amJL_sitelink_dir', amJL_structure_dir.'sitelink/');
define('amJL_Recipe_dir', amJL_structure_dir.'recipe/');
define('amJL_FAQ_dir', amJL_structure_dir.'FAQ/');
define('amJL_Howto_dir', amJL_structure_dir.'howto/');
define('amJL_review_dir', amJL_structure_dir.'review/');
define('amJL_settings_dir', autoMakingJSONLD.'settings/');

//=====[ php file ]=====//
//settings
define('amJL_article_Setting', amJL_settings_dir.'article.php');
define('amJL_recipe_video_Setting', amJL_settings_dir.'youtube_api.php');
define('amJL_init_Setting', amJL_settings_dir.'init_setting.php');
define('amJL_main_Setting', amJL_settings_dir.'setting.php');
define('amJL_certification_Setting', amJL_settings_dir.'certification.php');
define('amJL_Details', amJL_settings_dir.'plugin_details.php');
define('amJL_view_setting', amJL_settings_dir.'view_settings.php');

define('amJL_img', autoMakingJSONLD_url.'img/');
define('amJL_js', autoMakingJSONLD.'src/js/');


/********[Set Class]*********/

//========================//
//=====[ admin form ]=====//
//========================//

//URL form for './settings/article.php'
function amJL_URL_form_article($label, $size, $place){
    echo "<table class='form-table'>\n";
    for((int)$i = 0; $i < count($label); $i++){
        $count = $i + 1;
        $name = "url{$count}";
        $value = get_option($name);
        ?>
        <tr valign="top">
            <th scope="row"><label><?php echo esc_html($label[$i]) ?></label></th>
            <td><input type="text" size="<?php echo esc_attr($size) ?>" name="<?php echo esc_attr($name) ?>" id="<?php echo esc_attr($name) ?>" value="<?php echo esc_attr($value); ?>" placeholder="<?php echo esc_attr($place) ?>"></td>
        </tr>
        <?php
    }
    echo '</table>';
}

// single form for
// - './settings/article.php'
// - './settings/certification.php'
// - './settings/recipe_video.php'
function amJL_single_form($label, $size, $name, $place){
    $value = get_option($name);
    ?>
    <table class="form-table">
        <tr valign="top">
            <th scope="row"><label><?php echo esc_html($label) ?></label></th>
            <td><input type="text" size="<?php echo esc_attr($size) ?>" name="<?php echo esc_attr($name) ?>" id="<?php echo esc_attr($name) ?>" value="<?php echo esc_attr($value); ?>" placeholder="<?php echo esc_attr($place) ?>"></td>
        </tr>
    </table>
    <?php
}

// category id & thumbnail URL form for './settings/article.php'
function amJL_category_forms(){
    $AllCategories = get_categories();
    $catNumber = 1;
    echo "<table class='form-table'>\n";
    foreach($AllCategories as $val) {
        $ID = "cat_ID_{$catNumber}";
        $Thumb = "thumb_url_{$catNumber}";
        $catThumb = get_option("thumb_url_{$catNumber}");
        $catNumber++;
        ?>
        <tr valign="top">
            <th scope="row"><label><?php echo esc_html($val->name) ?></label></th>
            <td><input type="text" size=10 name="<?php echo esc_attr($ID) ?>" id="<?php echo esc_attr($ID) ?>" value="<?php echo esc_attr($val->cat_ID) ?>" readonly></td>
            <td><input type="text" size=80 name="<?php echo esc_attr($Thumb) ?>" id="<?php echo esc_attr($Thumb) ?>" value="<?php echo esc_attr($catThumb) ?>" placeholder="※必須"></td>
        </tr>
        <?php
    }
    echo "</table>\n";
}

// checkbox for
function amJL_checkbox_normal($name, $label){
    $value = (int)get_option($name);
    ?>
    <input type="checkbox" name="<?php echo esc_attr($name) ?>" value="1" <?php if($value === 1)echo ' checked="checked"'; ?>>
    <label><?php echo esc_html($label) ?></label>
    <br><br>
    <?php
}

//=======================//
//=====[ Post meta ]=====//
//=======================//

//single form meta (for post)
function amJL_single_post_form($YorN, $label, $name, $size, $place){
    global $post;
    $value = get_post_meta($post->ID, $name, true);
    if($YorN === 'Yes')echo "<table class='form-table'>\n";
    ?>
    <tr valign="top">
      <th scope="row"><label><?php echo esc_html($label) ?></label></th>
      <td><input type="text" size="<?php echo esc_attr($size) ?>" name="<?php echo esc_attr($name) ?>" value="<?php echo esc_attr($value) ?>" placeholder="<?php echo esc_attr($place) ?>"></td>
    </tr>
    <?php
    if($YorN === 'Yes')echo "</table>\n";
}

//double form metas (for post)
function amJL_double_post_form($YorN, $label1, $name1, $size1, $place1, $label2, $name2, $size2, $place2){
    global $post;
    $value1 = get_post_meta($post->ID, $name1, true);
    $value2 = get_post_meta($post->ID, $name2, true);
    if($YorN === 'Yes')echo "<table class='form-table'>\n";
    ?>
    <tr valign="top">
      <th scope="row"><label><?php echo esc_html($label1) ?></label></th>
      <td><input type="text" size="<?php echo esc_attr($size1) ?>" name="<?php echo esc_attr($name1) ?>" value="<?php echo esc_attr($value1) ?>" placeholder="<?php echo esc_attr($place1) ?>"></td>
      <th scope="row"><label><?php echo esc_html($label2) ?></label></th>
      <td><input type="text" size="<?php echo esc_attr($size2) ?>" name="<?php echo esc_attr($name2) ?>" value="<?php echo esc_attr($value2) ?>" placeholder="<?php echo esc_attr($place2) ?>"></td>
    </tr>
    <?php
    if($YorN === 'Yes')echo "</table>\n";
}

// number select form for Recipe and HowTo
function amJL_select_number($name, $max){
    global $post;
    $number = (int)get_post_meta($post->ID, $name, true);
    ?>
    <select name="<?php echo esc_attr($name) ?>" id="<?php echo esc_attr($name) ?>">
        <option value="0" <?php if(!empty($number)){if($number === 0){echo 'selected'; } } ?>>未選択</option>
        <?php
        for((int)$i=1; $i<=$max; $i++){?>
            <option value="<?php echo esc_attr($i) ?>" <?php if(!empty($number)){if($number === $i){echo 'selected'; } } ?>><?php echo esc_html($i) ?>個</option>
            <?php 
        } ?>
    </select>
    <?php
}

//check odd or even , form metas (for post)
function amJL_post_forms($basic_label, $number, $basic_name, $size, $place){
    global $post;
    switch((int)$number%2){
      case 0: //even
        echo "<table class='form-table'>\n";
        for((int)$i = 0; $i < (int)$number/2; $i++){
          $even = 2*($i + 1);
          $odd = 2*$i + 1;
          $OddVal = [$basic_label.$even, $basic_name.$even];
          $EvenVal = [$basic_label.$odd, $basic_name.$odd];
          amJL_double_post_form('No', $EvenVal[0], $EvenVal[1], $size, $place, $OddVal[0], $OddVal[1], $size, $place);
        }
        echo "</table>\n";
        break;
  
      case 1: //odd
        echo "<table class='form-table'>\n";
        for((int)$i = 0; $i < ($number-1)/2; $i++){
          $even = 2*($i + 1);
          $odd = 2*$i + 1;
          $OddVal = [$basic_label.$even, $basic_name.$even];
          $EvenVal = [$basic_label.$odd, $basic_name.$odd];
          amJL_double_post_form('No', $EvenVal[0], $EvenVal[1], $size, $place, $OddVal[0], $OddVal[1], $size, $place);
        }
        amJL_single_post_form('No', $basic_label.$number, $basic_name.$number, $size, $place);
        echo "</table>\n";
    }
}

//form metas or no form meta (for post), set init form metas
function amJL_select_post_form($init_number, $max_number, $label, $name, $size, $place){
    global $post;
    if($max_number === 0){
      if($init_number === 0){
        echo "<p>入力フォームの個数が選択されていません。</p>\n";
      }else{
        amJL_post_forms($label, $init_number, $name, $size, $place);
      }
    }else{
      amJL_post_forms($label, $max_number, $name, $size, $place);
    }
}

// URL form for Video
function amJL_video_form(){
    global $post;
    ?>
    <table class="form-table">
        <?php
        for((int)$i =1; $i<5; $i++){
            $label = "動画ID {$i}";
            $video_id = "video_id{$i}";
            $VideoVal = get_post_meta($post->ID, $video_id, true);
            ?>
            <tr valign="top">
                <th scope="row"><label><?php echo esc_html($label) ?><label></th>
            </tr>
            <tr valign="top">
                <td><input type="text" name="<?php echo esc_attr($video_id) ?>" style="width:100%;" value="<?php echo esc_attr($VideoVal) ?>"></td>
            </tr>
            <?php
        }
        ?>
    </table>
    <?php
}

// FAQ form
function amJL_faq_meta_form(){
    global $post;
    $number = (int)get_post_meta($post->ID, 'faq_number', true);
    ?>

    <label>「よくある質問」の入力欄の個数を選択</label>
    <select name="faq_number" id="faq_number">
        <option value="0" <?php if(!empty($number)){if($number === 0){echo 'selected'; } } ?>>よくある質問を表示しない</option>
        <?php
        for((int)$i=1; $i<=20; $i++){?>
            <option value="<?php echo esc_attr($i) ?>" <?php if(!empty($number)){if($number === $i){echo 'selected'; } } ?>><?php echo esc_html($i) ?>個</option>
        <?php } ?>
    </select>
    <?php

    if($number === 0){
        echo '<p><b>構造化データ「よくある質問」を利用する場合には、よくある質問の数を選択してください。</b></p>';
    }else{
    ?>
    <table class="form-table">
        <?php
        for((int)$i=1; $i<=$number; $i++){
            $question = "question_{$i}";
            $answer = "answer_{$i}";
            $QValue = get_post_meta($post->ID, $question, true);
            $AValue = get_post_meta($post->ID, $answer, true);
            ?>
            <tr valign="top">
                <th scope="row"><label><font color="blue"><?php echo "よくある質問".esc_html($i) ?></font></label></th>
                <td><input type="text" size="100" name="<?php echo esc_attr($question) ?>" value="<?php echo esc_attr($QValue) ?>" placeholder="※必須"></td>
            </tr>
            <tr valign="top">
                <th scope="row"><label><font color="red"><?php echo "答え".esc_html($i) ?></font></label></th>
                <td><input type="text" size="100" name="<?php echo esc_attr($answer) ?>" value="<?php echo esc_attr($AValue) ?>" placeholder="※必須"></td>
            </tr>
        <?php } ?>
    </table>
    <?php
    }
}
  
//star review form metas , */5 (for review)
function amJL_review_post_form($name){
    global $post;
    $number = (double)get_post_meta($post->ID, $name, true);
    ?>
    <select name="<?php echo esc_attr($name) ?>" id="<?php echo esc_attr($name) ?>">
    <?php
    for((double)$i=0; $i<=10; $i++){
        $value = $i * 0.5;
        ?>
        <option value="<?php echo esc_attr($number) ?>" <?php if(!empty($number) && $number === $value){ echo 'selected'; } ?>>星<?php echo esc_html($value) ?></option>
    <?php
    }
    echo "</select>\n";
}
  
//price form metas (for Review and HowTo)
function amJL_itemPrice_post_form($label1, $name1, $label2, $name2, $size, $place){
    global $post;
    $value = get_post_meta($post->ID, $name1, true);
    ?>
    <label><?php echo esc_html($label1) ?></label>
    <select name="<?php echo esc_attr($name1) ?>" id="<?php echo esc_attr($name1) ?>">
      <option value="JPY" <?php if(!empty($value)){if($value === 'JPY'){echo 'selected'; } } ?>>日本円(JPY)</option>
      <option value="USD" <?php if(!empty($value)){if($value === 'USD'){echo 'selected'; } } ?>>米ドル(USD)</option>
      <option value="EUR" <?php if(!empty($value)){if($value === 'EUR'){echo 'selected'; } } ?>>ユーロ(EUR)</option>
    </select>
    <?php
    amJL_single_post_form('Yes', $label2, $name2, $size, $place);
}

//=======================//
//=====[ post save ]=====//
//=======================//

function amJL_post_data_save($post_id, $name, $type){
    switch($type){
        case 'text':
            if(!empty($_POST[$name])){
                $value = sanitize_text_field($_POST[$name]);
                update_post_meta($post_id, $name, $value);
            }else{
                delete_post_meta($post_id, $name);
            }
            break;
  
        case 'url':
            if(!empty($_POST[$name])){
                $value = sanitize_url($_POST[$name]);
                update_post_meta($post_id, $name, $value);
            }else{
                delete_post_meta($post_id, $name);
            }
            break;
  
        case 'int':
            if(!empty($_POST[$name])){
                $value = absint($_POST[$name]);
                update_post_meta($post_id, $name, $value);
            }else{
                delete_post_meta($post_id, $name);
            }
            break;
  
        default:
            break;
    }
}
  
//cssのinclude
function amJL_add_css(){
    wp_register_style('amJL_checkbox_style', autoMakingJSONLD_url.'src/css/checkbox.css');
	wp_register_style('amJL_recipe_style', autoMakingJSONLD_url.'src/css/recipe.css');
	wp_register_style('amJL_setting_style', autoMakingJSONLD_url.'src/css/setting_page.css');
	wp_register_style('amJL_list_style', autoMakingJSONLD_url.'src/css/BL_list.css');

    wp_enqueue_style('amJL_checkbox_style');
    wp_enqueue_style('amJL_recipe_style');
    wp_enqueue_style('amJL_setting_style');
    wp_enqueue_style('amJL_list_style');
}
add_action('admin_init', 'amJL_add_css');

//description
function amJL_description_start(){
    echo "\n<!-- *************************** -->\n";
    echo "<!-- auto making JSON-LD (START) -->\n";
}

function amJL_description_end(){
    echo "<!-- auto making JSON-LD (END) -->\n";
    echo "<!-- ************************* -->\n";
}